Subject: Re: linux-next: Signed-off-by missing for commits in Linus' tree

From: Kees Cook <[email-masked]>
Date: Wed, 24 Feb 2021 12:27:02 -0800

On Wed, Feb 24, 2021 at 11:49:42AM +1100, Stephen Rothwell wrote:
> Hi Linus,
> 
> On Tue, 23 Feb 2021 16:33:47 -0800 Linus Torvalds <[email-masked]> wrote:
> >
> > On Tue, Feb 23, 2021 at 4:31 PM Stephen Rothwell <[email-masked]> wrote:
> > >
> > > are missing a Signed-off-by from their committer.  
> > 
> > Gaah. Maybe I should do some pre-pull hook or something to notice this
> > automatically (like you clearly do).
> 
> I have attached the scripts I run over things after fetching them, but
> before merging them (so not a hook, sorry).  check_commits runs
> check_fixes - but just for my convenience.

Thank you! I've added these to my PR workflow now, and it yells quite loudly.
I'm still looking at some kind of push hook too...

-- 
Kees Cook